This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 581381

Summary: libvirt: provide qemu stdout when "monitor socket did not show up: : Connection refused"
Product: [Fedora] Fedora Reporter: Lijian Xu <lxu>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 13CC: berrange, clalance, crobinso, hbrock, itamar, jforbes, kirbyzhou, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libvirt-0.7.7-4.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-28 13:58:57 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Lijian Xu 2010-04-11 23:30:37 EDT
Description of problem:
Without a serial device(and device type is pty) added to the VM, it won't create reasonable traceback when error occurs.

Version-Release number of selected component (if applicable):
    * kernel-2.6.33.1-19.fc13
    * libvirt-0.7.7-1.fc13
    * python-virtinst-0.500.2-3.fc13
    * qemu-0.12.3-6.fc13
    * seabios-0.5.1-1.fc13
    * virt-manager-0.8.3-2.fc13 

How reproducible:
    Only when other error occurs.

Steps to Reproduce:
1.Create a VM without any serial devices.
2.Meet an error, such as Bug #581376 and #580411
  
Actual results:
    It always generate an error "monitor socket did not show up.: Connection refused", but not actual error messages.

Expected results:
    Traceback with the real error messages.

Additional info:
    None.
Comment 1 Cole Robinson 2010-04-12 19:05:29 EDT
Thanks for the report. What we need to do at the libvirt level is return the qemu cmd line output when the monitor socket doesn't show up. Reassigning to libvirt
Comment 3 Kirby Zhou 2010-05-18 09:56:49 EDT
It seems I have encounted the same problem on RHEL6-beta.

~]# virt-install -n rhel6test --os-variant=rhel6 -r 8192 --nographics -l http://..../ --network bridge=vbr0 --network bridge=vbr1 --disk pool=vgxpool,size=32 --serial pty --connect qemu:///system --extra-args console=ttyS0,115200


Starting install...
Retrieving file .treeinfo...                                                                                 | 2.4 kB     00:00 ... 
Retrieving file vmlinuz...                                                                                   | 7.2 MB     00:00 ... 
Retrieving file initrd.img...                                                                                |  56 MB     00:01 ... 
Allocating 'rhel6test.img'                                                                                   |    0 B     00:00     
ERROR    monitor socket did not show up.: Connection refused
Domain installation may not have been
 successful.  If it was, you can restart your domain
 by running 'virsh start rhel6test'; otherwise, please
 restart your installation.
ERROR    monitor socket did not show up.: Connection refused
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 943, in <module>
    main()
  File "/usr/sbin/virt-install", line 839, in main
    start_time, guest.start_install)
  File "/usr/sbin/virt-install", line 894, in do_install
    dom = install_func(conscb, progresscb, wait=(not wait))
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 660, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 758, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1098, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: monitor socket did not show up.: Connection refused
Comment 4 Fedora Update System 2010-05-18 15:02:51 EDT
libvirt-0.7.7-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libvirt-0.7.7-4.fc13
Comment 5 Fedora Update System 2010-05-19 15:14:28 EDT
libvirt-0.7.7-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libvirt-0.7.7-4.fc13
Comment 6 Fedora Update System 2010-05-28 13:58:34 EDT
libvirt-0.7.7-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.